
import {curseforge, debug} from "./util.js";
import {ModLoaderType} from "./EternalTypes.js";

const search = async (pattern, version = null) => {
	const minecraft  = await curseforge().get_game("minecraft");

	const filter = {searchFilter : pattern, modLoaderType : ModLoaderType.FABRIC, pageSize : 2, sortField : 5};
	if (version)
		filter.version = version;
	const mods   = await minecraft.search_mods(filter);
	const result = [];

	for (const mod of mods) {
		const filter = {modLoaderType: ModLoaderType.FABRIC, pageSize : 3};
		if (version)
			filter.version = version;
		const files = await mod.get_files(filter);

		result.push({
			id          : mod.id,
			name        : mod.name,
			description : mod.summary,
			files       : files.map(file => file.fileName)
		});
	}


	return result;
};


export default search;