import util       from "util";
import CurseForge from "node-curseforge";

const Color       = Object.freeze({ // these are magic numbers for ANSI escape sequences and go here: \u001B[<NUMBER>m
	NONE          : 0,
	RED           : 31,
	BLACK         : 30,
	GREEN         : 32,
	YELLOW        : 33,
	BLUE          : 34,
	MAGENTA       : 35,
	CYAN          : 36,
	WHITE         : 37,
	BLACKBRIGHT   : 90,
	REDBRIGHT     : 91,
	GREENBRIGHT   : 92,
	YELLOWBRIGHT  : 93,
	BLUEBRIGHT    : 94,
	MAGENTABRIGHT : 95,
	CYANBRIGHT    : 96,
	WHITEBRIGHT   : 97
});

const _ = color => {
	return `\u001B[${color}m`;
};

const log = console["log"];

let CF = null;

const message = string => {
	log(`mpt: ${string}`)
};

const error = string => {
	message(`ERROR: ${string}`);
	process.exit(0);
};

const debug = data => {
	console.log(util.inspect(data, {showHidden: false, depth: null, colors: true}));
};

const curseforge = () => {
	if (!CF)
		CF = new CurseForge.default(process.env.ETERNAL_API_KEY);

	return CF;
};

export {
	message,
	error,
	debug,
	log,
	Color,
	curseforge,
	_
};